<?php

/**

 * Site Title Setting

 *

 * @package aemydesign_Spa

 */



function aemydesign_spa_customize_register( $wp_customize ) {

	

    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';

	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

    $wp_customize->get_setting( 'background_color' )->transport = 'refresh';

    $wp_customize->get_setting( 'background_image' )->transport = 'refresh';

	

	if( isset( $wp_customize->selective_refresh ) ){

		$wp_customize->selective_refresh->add_partial( 'blogname', array(

			'selector'        => '.site-title a',

			'render_callback' => 'aemydesign_spa_customize_partial_blogname',

		) );

		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(

			'selector'        => '.site-description',

			'render_callback' => 'aemydesign_spa_customize_partial_blogdescription',

		) );

	}

    

    /** Site Title Font */

    $wp_customize->add_setting( 

        'site_title_font', 

        array(

            'default' => array(                                			

                'font-family' => 'Marcellus',

                'variant'     => 'regular',

            ),

            'sanitize_callback' => array( 'aemydesign_Spa_Fonts', 'sanitize_typography' )

        ) 

    );



	$wp_customize->add_control( 

        new aemydesign_Spa_Typography_Control( 

            $wp_customize, 

            'site_title_font', 

            array(

                'label'       => __( 'Site Title Font', 'aemydesign-spa' ),

                'description' => __( 'Site title and tagline font.', 'aemydesign-spa' ),

                'section'     => 'title_tagline',

                'priority'    => 60, 

            ) 

        ) 

    );

    

    /** Site Title Font Size*/

    $wp_customize->add_setting( 

        'site_title_font_size', 

        array(

            'default'           => 30,

            'sanitize_callback' => 'aemydesign_spa_sanitize_number_absint'

        ) 

    );

    

    $wp_customize->add_control(

		new aemydesign_Spa_Slider_Control( 

			$wp_customize,

			'site_title_font_size',

			array(

				'section'	  => 'title_tagline',

				'label'		  => __( 'Site Title Font Size', 'aemydesign-spa' ),

				'description' => __( 'Change the font size of your site title.', 'aemydesign-spa' ),

                'priority'    => 65,

                'choices'	  => array(

					'min' 	=> 10,

					'max' 	=> 200,

					'step'	=> 1,

				)                 

			)

		)

	);

    

}

add_action( 'customize_register', 'aemydesign_spa_customize_register' );